Page MenuHomePhabricator

Use semantic versioning for services (for consistency with mediawiki core)
Closed, ResolvedPublic

Description

I'd like to unify the way we do release branches / tags and semantic versioning is a perfectly good way to do that. Since we already want to use semantic versioning in a few other places, I think we should use it for deployment tags (this depends on the new tooling currently in development and would replace the numeric tag identifiers used by trebuchet)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
StalledNone
OpenNone
Resolveddemon
Declinedmmodell
ResolvedLegoktm
Resolved GWicke
OpenNone
Resolved GWicke
Declined GWicke
Resolvedthcipriani
DeclinedNone
Resolvedmobrovac
Resolvedakosiaris
Resolvedakosiaris
Declinedmmodell
InvalidNone
Resolvedmmodell
ResolvedJdforrester-WMF
Declinedmmodell
Resolvedmmodell
Resolvedmmodell
Resolvedmmodell
OpenNone
ResolvedKrinkle
ResolvedKrinkle
Resolvedmmodell
DuplicateKrinkle
ResolvedKrinkle
ResolvedKrinkle
ResolvedMaxSem
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
Resolvedmmodell
OpenNone
ResolvedJoe
ResolvedNone
ResolvedJoe

Event Timeline

mmodell created this task.Jun 15 2015, 9:27 PM
mmodell raised the priority of this task from to Low.
mmodell updated the task description. (Show Details)
mmodell added projects: Services, Deployments.
mmodell added subscribers: Legoktm, greg, Mglaser and 6 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 9:27 PM

How does MediaWiki core fit into this? It does not use semver compliant versioning...

mmodell added a comment.EditedJun 18 2015, 1:08 AM

@JeroenDeDauw: The plan is to switch to semantic versioning on mediawiki as well T67289: Use semantic versioning scheme for WMF (all) releases

mmodell raised the priority of this task from Low to Normal.Jul 6 2015, 6:39 PM
mmodell moved this task from To Triage to Next: Feature on the Deployments board.

We generally use semver for node services and libraries. Release versions are tagged with vX.Y.Z.

GWicke moved this task from Backlog to watching on the Services board.Jul 11 2017, 8:26 PM
GWicke edited projects, added Services (watching); removed Services.

So this should be resolved?

GWicke closed this task as Resolved.Jul 12 2017, 5:59 PM
GWicke claimed this task.

Yup, was mostly waiting for your feedback as the owner. Resolving.